plugins {
    id 'prestoplay.android-demo-convention'
    id 'org.jetbrains.kotlin.android'
}

android {

    namespace 'com.castlabs.sdk.analytics_demo'

    defaultConfig {
        minSdkVersion 19
        buildConfigField "String", "VERSION_NAME", "\"1.0\""
    }

    buildFeatures {
        viewBinding true
    }

    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {

    // CastLabs dependencies
    implementation castlabs.core
    implementation castlabs.playerui
    implementation castlabs.youbora
    implementation castlabs.vimond
    implementation castlabs.conviva
    implementation castlabs.adobe
    implementation castlabs.broadpeak
    implementation castlabs.mux
    implementation castlabs.nielsen
    implementation castlabs.ima
    implementation castlabs.crashlytics

    // Other dependencies
    implementation demos.kotlin.runtime
    implementation demos.androidx.appcompat
    implementation demos.google.material
    implementation demos.retrofit.core
    implementation demos.retrofit.scalars
}
